## NMSimpleConnection

NMSimpleConnection

## Functions

NMConnection * | nm_simple_connection_new ()
NMConnection * | nm_simple_connection_new_from_dbus ()
NMConnection * | nm_simple_connection_new_clone ()

## Object Hierarchy

        GObject
        ╰── NMSimpleConnection

## Description

## Functions

### nm_simple_connection_new ()

    NMConnection *
    nm_simple_connection_new (void);

Creates a new NMSimpleConnection object with no NMSetting objects. An NMSimpleConnection does not directly represent a D-Bus-exported connection, but might be used in the process of creating a new one.

#### Returns

the new empty NMConnection object.

[transfer full]

### nm_simple_connection_new_from_dbus ()

    NMConnection *
    nm_simple_connection_new_from_dbus (GVariant *dict,
                                        GError **error);

Creates a new NMSimpleConnection from a hash table describing the connection. See `nm_connection_to_dbus()` for a description of the expected hash table.

#### Parameters

dict | a GVariant of type `NM_VARIANT_TYPE_CONNECTION` describing the connection |
error | on unsuccessful return, an error |

#### Returns

the new NMSimpleConnection object, populated with settings created from the values in the hash table, or `NULL` if the connection failed to validate.

[transfer full]

### nm_simple_connection_new_clone ()

    NMConnection *
    nm_simple_connection_new_clone (NMConnection *connection);

Clones an NMConnection as an NMSimpleConnection.

#### Parameters

connection | the NMConnection to clone |

#### Returns

a new NMConnection containing the same settings and properties as the source NMConnection.

[transfer full]

## Types and Values